%define name	gnokii-smstools
%define version	0.4
%define release	3rph

Summary:	mail2sms gateway for Nokia cellphones
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Copyright:	GPL
Source:		%{name}-%{version}.tar.bz2
Patch:		%{name}-initscript.patch.bz2
Patch1:		%{name}-smsd.conf.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-root
#URL: 		http://www.example.net/gnokii-smstools/

%description
gnokii-smstools is a version of smstools for use with GSM cellphones
supported by gnokii, and provides an sms gateway with spooling.

%prep
%setup -n gnokii-smstools
%patch -p0 -b .init
%patch1 -p0 -b .conf

%build
make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_bindir},%{_initrddir}}
mkdir -p %{buildroot}/var/spool/sms/{incoming,outgoing,failed,D1,D2,OTHER}
install -m 755 bin/* %{buildroot}%{_bindir}
install -m 700 examples/sms %{buildroot}%{_initrddir}
install -m 755 examples/smsd.conf %{buildroot}%{_sysconfdir}
install -m 755 examples/email2sms %{buildroot}%{_bindir}

%post
chkconfig --add sms

%postun
if [ $1 = "0" ]; then
  chkconfig --del sms
fi

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}

%files
%defattr(-,root,root)
%doc Readme doc/* examples/{smsd.failed,received.txt,send.txt,gnokiirc}
%{_bindir}/*
%config(noreplace) %{_initrddir}/sms
%config(noreplace) %{_sysconfdir}/smsd.conf
%dir /var/spool/sms/outgoing
%dir /var/spool/sms/incoming

%changelog
* Tue Apr 16 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.4-3rph
- rebuild with rph extension

* Thu Oct  4 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.4-2mdk
- specfile cleanups, macros

* Mon Jul 30 2001 Buchan Milne <bgmilne@cae.co.za> 0.4-1mdk
- Initial mandrake rpm, patch for initsript, included some examples from
  source distibutrion (email2sms script, smsd.conf)
